PHP Manual
Prev |  | Next

# dbase_get_header_info

(PHP 5)

dbase_get_header_info -- Gets the header info of a database

## Description

array dbase_get_header_info ( int dbase_identifier )

Returns information on the column structure of the given database link identifier.

## Parameters

dbase_identifier

  The database link identifier, returned by dbase_open() or dbase_create().

## Return Values

An indexed array with an entry for each column in the database. The array index starts at 0.

Each array element contains an associative array of column information, as described here:

name

  The name of the column

type

  The human-readable name for the dbase type of the column (i.e. date, boolean, etc.)

length

  The number of bytes this column can hold

precision

  The number of digits of decimal precision for the column

format

  A suggested printf() format specifier for the column

offset

  The byte offset of the column from the start of the row

If the database header information cannot be read, `FALSE` is returned.

## Examples

Example 1. Showing header information for a dBase database file
`<?php // Path to dbase file $db_path = "/tmp/test.dbf"; // Open dbase file $dbh = dbase_open($db_path, 0) or die("Error! Could not open dbase database file '$db_path'."); // Get column information $column_info = dbase_get_header_info($dbh); // Display information print_r($column_info); ?>`

Prev | Home | Next
dbase_delete_record | Up | dbase_get_record_with_names